*** ctex.ch	Fri Mar 15 10:46:17 1991
--- bigtex.ch	Mon Mar 18 10:32:31 1991
***************
*** 176,178 ****
  @<Constants...@>=
! @!mem_max=65530; {greatest index in \TeX's internal |mem| array;
    must be strictly less than |max_halfword|;
--- 176,178 ----
  @<Constants...@>=
! @!mem_max=262140; {greatest index in \TeX's internal |mem| array;
    must be strictly less than |max_halfword|;
***************
*** 182,184 ****
    must be equal to |mem_bot| in \.{INITEX}, otherwise |<=mem_bot|}
! @!buf_size=2000; {maximum number of characters simultaneously present in
    current lines of open files and in control sequences between
--- 182,184 ----
    must be equal to |mem_bot| in \.{INITEX}, otherwise |<=mem_bot|}
! @!buf_size=3000; {maximum number of characters simultaneously present in
    current lines of open files and in control sequences between
***************
*** 189,191 ****
  @!max_print_line=79; {width of longest text lines output; should be at least 60}
! @!stack_size=200; {maximum number of simultaneous input sources}
  @!max_in_open=15; {maximum number of input files and error insertions that
--- 189,191 ----
  @!max_print_line=79; {width of longest text lines output; should be at least 60}
! @!stack_size=300; {maximum number of simultaneous input sources}
  @!max_in_open=15; {maximum number of input files and error insertions that
***************
*** 192,196 ****
    can be going on simultaneously}
! @!font_max=120; {maximum internal font number; must not exceed |max_quarterword|
    and must be at most |font_base+256|}
! @!font_mem_size=36000; {number of words of |font_info| for all fonts}
  @!param_size=60; {maximum number of simultaneous macro parameters}
--- 192,196 ----
    can be going on simultaneously}
! @!font_max=255; {maximum internal font number; must not exceed |max_quarterword|
    and must be at most |font_base+256|}
! @!font_mem_size=72000; {number of words of |font_info| for all fonts}
  @!param_size=60; {maximum number of simultaneous macro parameters}
***************
*** 197,200 ****
  @!nest_size=40; {maximum number of semantic levels simultaneously active}
! @!max_strings=4400; {maximum number of strings; must not exceed |max_halfword|}
! @!string_vacancies=15000; {the minimum number of characters that should be
    available for the user's control sequences and font names,
--- 197,200 ----
  @!nest_size=40; {maximum number of semantic levels simultaneously active}
! @!max_strings=7500; {maximum number of strings; must not exceed |max_halfword|}
! @!string_vacancies=74000; {the minimum number of characters that should be
    available for the user's control sequences and font names,
***************
*** 201,203 ****
    after \TeX's own error messages are stored}
! @!pool_size=45000; {maximum number of characters in strings, including all
    error messages and help texts, and the names of all fonts and
--- 201,203 ----
    after \TeX's own error messages are stored}
! @!pool_size=100000; {maximum number of characters in strings, including all
    error messages and help texts, and the names of all fonts and
***************
*** 205,207 ****
    length of \TeX's own strings, which is currently about 23000}
! @!save_size=2000; {space for saving values outside of current group; must be
    at most |max_halfword|}
--- 205,207 ----
    length of \TeX's own strings, which is currently about 23000}
! @!save_size=4000; {space for saving values outside of current group; must be
    at most |max_halfword|}
***************
*** 214,216 ****
    {string of length |file_name_size|; tells where the string pool appears}
! @!mem_top=65530; {largest index in the |mem| array dumped by \.{INITEX};
    must be substantially larger than |mem_bot|
--- 214,216 ----
    {string of length |file_name_size|; tells where the string pool appears}
! @!mem_top=262140; {largest index in the |mem| array dumped by \.{INITEX};
    must be substantially larger than |mem_bot|
***************
*** 238,239 ****
--- 238,240 ----
  @d hash_prime=1777 {a prime number equal to about 85\pct! of |hash_size|}
+ @d hyph_size=307 {another prime; the number of \.{\\hyphenation} exceptions}
  @y
***************
*** 243,247 ****
    than |min_quarterword|}
! @d hash_size=3000 {maximum number of control sequences; it should be at most
    about |(mem_max-mem_min)/10|}
! @d hash_prime=2551 {a prime number equal to about 85\pct! of |hash_size|}
  @z
--- 244,249 ----
    than |min_quarterword|}
! @d hash_size=9500 {maximum number of control sequences; it should be at most
    about |(mem_max-mem_min)/10|}
! @d hash_prime=7919 {a prime number equal to about 85\pct! of |hash_size|}
! @d hyph_size=607 {another prime; the number of \.{\\hyphenation} exceptions}
  @z
***************
*** 703,705 ****
  @d min_halfword==0 {smallest allowable value in a |halfword|}
! @d max_halfword==65535 {largest allowable value in a |halfword|}
  @z
--- 705,707 ----
  @d min_halfword==0 {smallest allowable value in a |halfword|}
! @d max_halfword==262143 {largest allowable value in a |halfword|}
  @z
